Subject: RE: [Simple] RE: [MMUSIC] File transfer when one device is cpim compatible

From: <[email-masked]>
Date: Mon, 31 Jul 2006 16:43:34 +0530

I also think that MSRP should not differentiate IM from file. This
issue(differentiate IM from file)arries when any one of the device
participating in file transfer is CPIM compatible. 
So both the issues can be address in
draft-garcia-mmusic-file-transfer-mech-00.txt by adding some text.
As per all the discussion, I am proposing to add the following text to
the draft.

"If device is CPIM compatible,it should not add "message/cpim" as a
entry in the SDP accept type."

If acceptable, Kindly add this to the draft.

Regards,
Amit
-----Original Message-----
From: Avshalom Houri [mailto:[email-masked]] 
Sent: Friday, July 28, 2006 7:58 PM
To: Paul Kyzivat
Cc: Goel Amitkumar (IFIN SW WS); [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]
Subject: Re: [Simple] RE: [MMUSIC] File transfer when one device is cpim
compatible

I agree but there is a distinction here since sending  file over the IM
chat will require an application that will cooperate and convert file
to/from IM.

Anyway, I do not think that we need to differentiate IM from file.

--Avshalom

Paul Kyzivat <[email-masked]>
28/07/2006 16:54

To
Avshalom Houri/Haifa/IBM@IBMIL
cc
[email-masked], [email-masked],
[email-masked], [email-masked],
[email-masked], [email-masked], [email-masked] Subject
Re: [Simple] RE: [MMUSIC] File transfer when one device is      cpim 
compatible

Avshalom Houri wrote:
> There may be security issues that may necessitate to know that an MSRP

> session is actually a file transfer like virus scanning.

I don't see how such a distinction would be helpful. It is possible to
use a "conversational" MSRP session to transfer files as well. So if you
care about such things you should be scanning all MSRP traffic in any
case.

                 Paul

> However, I agree with Paul that we should not differentiate file 
> transfer from IM as these kind of protections should be in the 
> application level.

> --Avshalom
> 
> 
> 
> 
> 
> Paul Kyzivat <[email-masked]>
> 27/07/2006 19:22
> 
> To
> [email-masked]
> cc
> [email-masked], [email-masked], [email-masked], 
> [email-masked], [email-masked], 
> [email-masked] Subject
> Re: [Simple] RE: [MMUSIC] File transfer when one device is      cpim 
> compatible
> 
> 
> 
> 
> 
> 
> Some disjoint thoughts on this subject:
> 
> I don't think *MSRP* should differentiate between IM and file
transfer. 
> MSRP has plenty of ways to identify and categorize the content that 
> may be used by the applications on top of MSRP to do that
differentiation.
> 
> Since other IM protocols do support file transfer, perhaps CPIM should

> be allowed for file transfer.
> 
> It occurs to me that MIME provides some useful tools  that might be 
> applicable here. In particular, Content-Disposition might be of use. A

> Content-Disposition of "render" would be a real IM. Some other 
> disposition (e.g. "attachment") could be used for a message containing

> a

> file being transferred.
> 
>                  Paul
> 
> [email-masked] wrote:
>> Hi,
>>
>> It means MSRP should differentiate between "instant message" and 
>> "file transfer" sessions.
>>
>> Regards,
>> Amit
>>
>> -----Original Message-----
>> From: Cullen Jennings [mailto:[email-masked]]
>> Sent: Wednesday, July 26, 2006 8:03 PM
>> To: Goel Amitkumar (IFIN SW WS)
>> Cc: [email-masked]; [email-masked]; 
>> [email-masked]; [email-masked]
>> Subject: Re: [MMUSIC] File transfer when one device is cpim 
>> compatible
>>
>>
>> I suspect that the file transfer would not be considered an "instant 
>> message" and thus would not be wrapped.
>>
>>
>> On Jul 24, 2006, at 9:12 PM, <[email-masked]> 
>> <[email-masked]> wrote:
>>
>>> Hi All,
>>>
>>> According to MSRP draft "when one endpoint of the session is a CPIM 
>>> gateway, instant messages SHOULD be wrapped in "message/cpim" [12] 
>>> bodies".
>>> So my question is how the example given in section 7 of 
>>> "draft-garcia-mmusic-file-transfer-mech-00.txt" looks when any one 
>>> of the device participating in file transfer is CPIM compatible?
>>>
>>> Regards,
>>> Amit
>>>
>>> _______________________________________________
>>> mmusic mailing list
>>> [email-masked]
>>> https://www1.ietf.org/mailman/listinfo/mmusic
>> _______________________________________________
>> Simple mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/simple
>>
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic